Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24228

Description

Given that fTools and GdalTools are removed as Core plugins and moved to Processing, shouldn't they be unavailable from the Plugin

Manager instead of appearing in red?

2.18 might also be concerned by this issue, regarding fTools.

History

#1 - 2017-03-08 07:56 AM - Giovanni Manghi

- Status changed from Open to Feedback

ftools does not show anymore in 2.18.4 and both does not show anymore in master.

#2 - 2017-03-08 08:21 AM - Harrissou Santanna

- File plugin_manager.PNG added

Does it require the user to do something particular, because I have them in the Plugin manager dialog of my today osgeo4w build?

Added a screenshot

#3 - 2017-03-08 08:26 AM - Harrissou Santanna

Browsing the folders reveal that both contain an empty folder named "tools". Deleting the main folder might do the trick but I'm not sure we should ask

users to go and manually delete them...

#4 - 2017-03-08 08:49 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Harrissou Santanna wrote:

Browsing the folders reveal that both contain an empty folder named "tools". Deleting the main folder might do the trick but I'm not sure we should

ask users to go and manually delete them...

they should not be there, and on clean installations they are not. Very likely it is/was just a local issue in your system.
#5 - 2017-03-08 09:17 AM - Harrissou Santanna

- Resolution deleted (invalid)

Hummm... what would then be a clean installation on windows? I'm using the same osgeo4w folder for a while. Does it mean that I (users) should trash it

and build new? (in which case, this might be stated somewhere, otherwise when more feature freeze begins, these kind of issues will be raised again).

Then, what about my configs ?

#6 - 2017-03-08 09:19 AM - Giovanni Manghi

Harrissou Santanna wrote:

Hummm... what would then be a clean installation on windows? I'm using the same osgeo4w folder for a while. Does it mean that I (users) should

trash it and build new? (in which case, this might be stated somewhere, otherwise when more feature freeze begins, these kind of issues will be

raised again). Then, what about my configs ?

maybe/probably those folder were just leftovers by a not clean uninstall/update, but it would be anyway a different issue.

#7 - 2018-02-28 10:01 AM - Tom Chadwin

I have the same symptoms: red fTools and GDAL tools in plugin manager. OSGeo4W upgrade (upgraded LTR, release, and dev in the same step),

Win7Pro x64.

Files

plugin_manager.PNG 40.8 KB 2017-03-08 Harrissou Santanna
